
#user  nobody;
#worker_processes  2;

worker_processes auto;
worker_cpu_affinity auto;

#error_log  logs/error.log;
#error_log  logs/error.log  notice;
#error_log  logs/error.log  info;

#pid        logs/nginx.pid;

worker_rlimit_nofile 65535;
events {
    use epoll;
    worker_connections  65535;
    multi_accept on;
    accept_mutex on;
}

include /opt/verynginx/verynginx/nginx_conf/in_external.conf;
http {
    include       mime.types;
    default_type  application/octet-stream;

    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for" "$host"';
    access_log  /var/log/ngx-openresty/access.log main;
    sendfile        on;
    #tcp_nopush     on;

    keepalive_timeout  600;
    gzip            on;
    gzip_comp_level 6;
    gzip_min_length 1k;
    gzip_types      text/plain text/css text/xml text/javascript text/x-component application/json application/javascript application/x-javascript application/xml application/xhtml+xml application/rss+xml application/atom+xml application/x-font-ttf application/vnd.ms-fontobject image/svg+xml image/x-icon font/opentype;
    brotli          on;
    brotli_comp_level   6;
    brotli_min_length   1k;
    brotli_types    text/plain text/css text/xml text/javascript text/x-component application/json application/javascript application/x-javascript application/xml application/xhtml+xml application/rss+xml application/atom+xml application/x-font-ttf application/vnd.ms-fontobject image/svg+xml image/x-icon font/opentype;

    more_set_headers 'X-Powered-By: ASP.NET';
    more_set_headers 'Server: Microsoft-IIS/8.2';
    more_set_headers 'Publish-P: $hostname';
    client_max_body_size 1m; 
    client_body_buffer_size 128k;
    variables_hash_max_size 4096;
    variables_hash_bucket_size 2048;
    limit_conn_zone $binary_remote_addr zone=iplimit:10m;
    limit_conn_zone $server_name zone=serverlimit:10m;
    include     /etc/ngx-openresty/cache.conf;
    include /opt/verynginx/verynginx/nginx_conf/in_http_block.conf;

    include /etc/ngx-openresty/conf.d/*.conf;
}
